{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Mes Favoris{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}



{% block titleAndDecription %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche le titre de la page -->
        <h2>Mes favoris</h2>
    {% else %}
        <!-- Si l'utilisateur n'est pas connecté, affiche un message d'erreur -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}

{% endblock %}


{% block section %}

    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche la section des favoris -->
        <!-- ======= Favorite Section ======= -->
        <section class="gallery">
            <div class="container-fluid">
                <div class="row gy-4 justify-content-center">

                    {% if likedArtworks is not empty %}
                        <!-- Si des œuvres sont aimées, les affiche -->
                        {% for artwork in likedArtworks %}
                            <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                                <div class="artwork-box">
                                    <div class="gallery-item h-100">
                                        <!-- Affiche une image liée à l'œuvre avec un lien vers la page de l'œuvre -->
                                        <a href="{{ path('artwork_page', { 'id' : artwork.id }) }}"><img
                                                    src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                                    alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    {% else %}
                        <!-- Si aucune œuvre n'est aimée, affiche un message -->
                        <div class="favorite-text-content">
                            <div class="not-like-artwork-text">
                                <p>Aucun artwork aimé pour le moment.</p>
                            </div>
                        </div>
                    {% endif %}

                </div>
            </div>
            <!-- End Favorite Section -->
        </section>
    {% endif %}

{% endblock %}